Skip to content
POST/{organizationId}/{mandateId}/receipts/revenue

Create revenue receipt

Creates a new revenue receipt for a given mandate

Required permissions:

  • mandate.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

accountintegerrequired

minimum: 1

maximum: 999999999

receiptNumberstringrequired

maxLength: 30

isNetbooleanoptional
totalGrossAmountintegerrequired

maximum: 9999999999

exclusiveMinimum: 0

receiptDatestringrequired
dueDatestringrequired

ObjectId as string

accountNamestringoptional

Default: ""

descriptionstringoptional

Default: ""

maxLength: 140

refundbooleanoptional

Default: false

deliveryDatestring | nulloptional

minItems: 1

paymentSepaCreditTransferIdstringoptional
queueReceiptDocumentbooleanoptional

Default: false

receiptFileNamestringoptional

Default: ""

maxItems: 20

electronicbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/receipts/revenue
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/receipts/revenue' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "account": 1,
  "receiptNumber": "string",
  "totalGrossAmount": 1,
  "receiptDate": "string",
  "dueDate": "string",
  "positions": [
    {
      "account": 1,
      "amount": 0
    }
  ]
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

ObjectId as string

alreadyCollectedbooleanoptional

Response

200
{
  "_id": "000000000000000000000001"
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}